package mapper;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.json.JSONObject;

import entity.Test0Entity;


public interface Test0Mapper {
    
    @Select("SELECT * FROM TEST0 WHERE id = #{id}")
    Test0Entity selectTest0Entity(long id);
    
    @Insert("INSERT INTO TEST0 VALUES(#{id}, #{json})")
    int insertTest0Entity(@Param("id")long id, @Param("json")JSONObject json);

}
